using Sepehr.ApiGateway.Partners.Contracts.Tour.Booking.V3.Book.RequestModel;
using Sepehr.ApiGateway.Partners.Contracts.Tour.Booking.V3.Book.ResponseModel;
using SepehrTourApiSampleClient.BuiltinTypeExtensions;

namespace SepehrTourApiSampleClient.Booking.Book.WebApi
{
    public class BookApi
    {
        public static Response Post(string url, Request request)
        {
            var response = HttpClientHelper.Post(
                $"{url}/api/Partners/Tour/Booking/V3/Book",
                request.SerializeToJson());

            return response.DeserializeFromJson<Response>();
        }
    }
}
